Argentina Class Reference
Date and time calculations » Calendars

Argentinian calendars. More...

`#include <ql/time/calendars/argentina.hpp>`

Inheritance diagram for Argentina:
[legend]

## Public Types

enum | Market { Merval }

## Public Member Functions

| Argentina (Market m=Merval)
Public Member Functions inherited from Calendar
| Calendar ()
bool | empty () const
| Returns whether or not the calendar is initialized.
std::string | name () const
| Returns the name of the calendar. More...
bool | isBusinessDay (const Date &d) const
bool | isHoliday (const Date &d) const
bool | isWeekend (Weekday w) const
bool | isEndOfMonth (const Date &d) const
Date | endOfMonth (const Date &d) const
| last business day of the month to which the given date belongs
void | addHoliday (const Date &)
void | removeHoliday (const Date &)
Date | adjust (const Date &, BusinessDayConvention convention=Following) const
Date | advance (const Date &, Integer n, TimeUnit unit, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date | advance (const Date &date, const Period &period, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date::serial_type | businessDaysBetween (const Date &from, const Date &to, bool includeFirst=true, bool includeLast=false) const

## Additional Inherited Members

Static Public Member Functions inherited from Calendar
static std::vector< Date > | holidayList (const Calendar &calendar, const Date &from, const Date &to, bool includeWeekEnds=false)
| Returns the holidays between two dates.
Protected Attributes inherited from Calendar
boost::shared_ptr< Impl > | impl_
Related Functions inherited from Calendar
bool | operator== (const Calendar &, const Calendar &)
bool | operator!= (const Calendar &, const Calendar &)
std::ostream & | operator<< (std::ostream &, const Calendar &)

## Detailed Description

Argentinian calendars.

Holidays for the Buenos Aires stock exchange (data from http://www.merval.sba.com.ar/):

- Saturdays
- Sundays
- New Year's Day, January 1st
- Holy Thursday
- Good Friday
- Labour Day, May 1st
- May Revolution, May 25th
- Death of General Manuel Belgrano, third Monday of June
- Independence Day, July 9th
- Death of General José de San Martín, third Monday of August
- Columbus Day, October 12th (moved to preceding Monday if on Tuesday or Wednesday and to following if on Thursday or Friday)
- Immaculate Conception, December 8th
- Christmas Eve, December 24th
- New Year's Eve, December 31th

## Member Enumeration Documentation

## Market

enum Market

Enumerator
Merval | Buenos Aires stock exchange calendar.